Converting to English Firmware

nemo

New Member
Joined
Aug 12, 2013
Messages
1
Reaction score
0
Location
Singapore
Hillbilly said:
keeprunning said:
Guys, I've got 1.008 Korean version. Followed instructions in this thread, but no matter what I do, still get "version information is different". I tried to format card with sdformatter (full (erase)), installed 1.008E, changed English to Korea, upgrade starts. Once done, I hear "version information is different". Tried to change back to English, but, again "version information is different". The only option that worked for me is Korean 1.008 firmware with 1.008 english software, but then I do not have voice from camera at all (not a big deal, but annoying) Any creative ideas how to fix it? I did follow instructions in this thread step by step.

You didnt follow the instructions as it says to do it with 1.005E then you can upgrade to 1.008E.

Use my instructions in reply 1 as it has less steps but does the same thing as Wozzzzzas

This thread predated the release of 1.008 so do what it says and it will work.

I have never tried it with 1.008 and have seen that you cant downgrade to 1.005 from 8 so dont know what you can do


1.005 should be here https://drive.google.com/?usp=folder&au ... U9FWEZWWlE

I am having the same problem now. Clueless as what can I do now. Is my unit going to be in a endless 'Version is wrong' loop?
 
Last edited by a moderator:

keeprunning

New Member
Joined
Jul 3, 2013
Messages
9
Reaction score
0
Location
Toronto
Country
Canada
From what I understood, there is no way back now. Once Korean 1.008 installed it cannot be downgraded to 1.005E (or K)
I did not try to go with custom software, but based on the custom fw document you have to downgrade first, which is not an option. By the way, pittasoft.com appears to be down the whole day today (and blackvue.com as well)

nemo said:
Hillbilly said:
keeprunning said:
Guys, I've got 1.008 Korean version. Followed instructions in this thread, but no matter what I do, still get "version information is different". I tried to format card with sdformatter (full (erase)), installed 1.008E, changed English to Korea, upgrade starts. Once done, I hear "version information is different". Tried to change back to English, but, again "version information is different". The only option that worked for me is Korean 1.008 firmware with 1.008 english software, but then I do not have voice from camera at all (not a big deal, but annoying) Any creative ideas how to fix it? I did follow instructions in this thread step by step.

You didnt follow the instructions as it says to do it with 1.005E then you can upgrade to 1.008E.

Use my instructions in reply 1 as it has less steps but does the same thing as Wozzzzzas

This thread predated the release of 1.008 so do what it says and it will work.

I have never tried it with 1.008 and have seen that you cant downgrade to 1.005 from 8 so dont know what you can do


1.005 should be here https://drive.google.com/?usp=folder&au ... U9FWEZWWlE

I am having the same problem now. Clueless as what can I do now. Is my unit going to be in a endless 'Version is wrong' loop?
 
Last edited by a moderator:

Hillbilly

Well-Known Member
Joined
Feb 14, 2013
Messages
1,750
Reaction score
253
Location
Sunshine Coast
Country
Australia
Dash Cam
DR750s x2 DR450 x2
Hillbilly said:
keeprunning said:
Guys, I've got 1.008 Korean version. Followed instructions in this thread, but no matter what I do, still get "version information is different". I tried to format card with sdformatter (full (erase)), installed 1.008E, changed English to Korea, upgrade starts. Once done, I hear "version information is different". Tried to change back to English, but, again "version information is different". The only option that worked for me is Korean 1.008 firmware with 1.008 english software, but then I do not have voice from camera at all (not a big deal, but annoying) Any creative ideas how to fix it? I did follow instructions in this thread step by step.

You didnt follow the instructions as it says to do it with 1.005E then you can upgrade to 1.008E.

Use my instructions in reply 1 as it has less steps but does the same thing as Wozzzzzas

This thread predated the release of 1.008 so do what it says and it will work.

I have never tried it with 1.008 and have seen that you cant downgrade to 1.005 from 8 so dont know what you can do


1.005 should be here https://drive.google.com/?usp=folder&au ... U9FWEZWWlE



The moral of the story is READ THE INSTRUCTIONS CAREFULLY It was pretty plain what to do


U could try to downgrade to 1.005 but I dont know if you can and Im not going to try.

We had enough fun getting what works sorted and posted it to help and then someone knows better.
 
Last edited by a moderator:

keeprunning

New Member
Joined
Jul 3, 2013
Messages
9
Reaction score
0
Location
Toronto
Country
Canada
Hillbilly, first of all I do appreciate your help. However, it was never my intention to go with custom firmware (at least not in the beginning)
I got Korean version from astrobile, but speaking English at that time, so I assumed I have 1.005E. When I tried to upgrade to 1.008E (was supposed to be straightforward according to all previous posts) I got "the version information is different) I tried to follow same pattern that was used from 1.005K to 1.005E - change English to Korea and this is how I ended up with 1.008K firmwmare and English viewer. From that point on there was nothing I could do.
I am not "locked" into "will not try" mode and ready to toast original card or new one I purchased. Formatted and reformatted many times with many different combinations. Not because my current situation is difficult (except voice everything else works just fine, so I can live with Korean firmware), but because I wanted to push boundaries and see what works and what does not. So, please don't be offended and assume I did not read instructions. I did. In my personal opinion pittasoft is terrible company. All you guys do should come and be resolved by pittasoft itself. But their site looks amateurish, the whole domain was down yesterday. Support is virtually non-existent and this is where our Russian friends, fortunately, trying to fill the void left by the company. I will never buy any products from Pittasoft again. I think it's not worth it based on time spent to get product right.

Hillbilly said:
Hillbilly said:
keeprunning said:
Guys, I've got 1.008 Korean version. Followed instructions in this thread, but no matter what I do, still get "version information is different". I tried to format card with sdformatter (full (erase)), installed 1.008E, changed English to Korea, upgrade starts. Once done, I hear "version information is different". Tried to change back to English, but, again "version information is different". The only option that worked for me is Korean 1.008 firmware with 1.008 english software, but then I do not have voice from camera at all (not a big deal, but annoying) Any creative ideas how to fix it? I did follow instructions in this thread step by step.

You didnt follow the instructions as it says to do it with 1.005E then you can upgrade to 1.008E.

Use my instructions in reply 1 as it has less steps but does the same thing as Wozzzzzas

This thread predated the release of 1.008 so do what it says and it will work.

I have never tried it with 1.008 and have seen that you cant downgrade to 1.005 from 8 so dont know what you can do


1.005 should be here https://drive.google.com/?usp=folder&au ... U9FWEZWWlE



The moral of the story is READ THE INSTRUCTIONS CAREFULLY It was pretty plain what to do


U could try to downgrade to 1.005 but I dont know if you can and Im not going to try.

We had enough fun getting what works sorted and posted it to help and then someone knows better.
 
Last edited by a moderator:

Hillbilly

Well-Known Member
Joined
Feb 14, 2013
Messages
1,750
Reaction score
253
Location
Sunshine Coast
Country
Australia
Dash Cam
DR750s x2 DR450 x2
keeprunning said:
Hillbilly, first of all I do appreciate your help. However, it was never my intention to go with custom firmware (at least not in the beginning)
I got Korean version from astrobile, but speaking English at that time, so I assumed I have 1.005E. When I tried to upgrade to 1.008E (was supposed to be straightforward according to all previous posts) I got "the version information is different) I tried to follow same pattern that was used from 1.005K to 1.005E - change English to Korea and this is how I ended up with 1.008K firmwmare and English viewer. From that point on there was nothing I could do.
I am not "locked" into "will not try" mode and ready to toast original card or new one I purchased. Formatted and reformatted many times with many different combinations. Not because my current situation is difficult (except voice everything else works just fine, so I can live with Korean firmware), but because I wanted to push boundaries and see what works and what does not. So, please don't be offended and assume I did not read instructions. I did. In my personal opinion pittasoft is terrible company. All you guys do should come and be resolved by pittasoft itself. But their site looks amateurish, the whole domain was down yesterday. Support is virtually non-existent and this is where our Russian friends, fortunately, trying to fill the void left by the company. I will never buy any products from Pittasoft again. I think it's not worth it based on time spent to get product right.


Well I wondered about that version from Astrobile because he had it before any of the others appeared.

I asked where it came from and didnt get an answer so steered clear of it.

It now appears it was a cobbled up version and thats why you are having troubles.

The problem is not with bricking cards but bricking the camera if it doesnt like what you are trying to do.

A bit unfair to blame Pittasoft for what you tried to do as Astrobile is not an authorised distributor.

No offence but I would have checked which version I had before trying to alter it and made sure it was the same as what we had upgraded from.

Maybe it was labeled the same I dont know because I havent tried it.

All the Blackvue cameras I have bought (6) work to the owners satisfaction.

Any modifications are done at the owners risk in almost anything, Cameras, cars, whatever.

I have a GPS in my car which has been upgraded in a similar way to what we do here but if it goes wrong I wont blame the maker.

Maybe the cameras could be a bit better but you know when you buy them what they are as there is plenty of info, both for and against all over the internet about them and lots of others.
 

ttimothy74

New Member
Joined
Jul 5, 2013
Messages
4
Reaction score
0
Location
Singapore
Hi All,

I bought a korean set DR500-GW (talks to me in korean previously) and have successfully installed v1.005E (English) after the steps shown on this forum.

Pls advise if I can install v1.008E? (will I get the msg "the version is incorrect?")

Thanks.
 
OP
wozzzzza

wozzzzza

Well-Known Member
Joined
Mar 12, 2013
Messages
3,015
Reaction score
1,266
Country
Australia
try and see, I prefer the custom firmware.
 

Hillbilly

Well-Known Member
Joined
Feb 14, 2013
Messages
1,750
Reaction score
253
Location
Sunshine Coast
Country
Australia
Dash Cam
DR750s x2 DR450 x2
ttimothy74 said:
Hi All,

I bought a korean set DR500-GW (talks to me in korean previously) and have successfully installed v1.005E (English) after the steps shown on this forum.

Pls advise if I can install v1.008E? (will I get the msg "the version is incorrect?")

Thanks.
No you wont once you have 1.005E the camera is an English version and can be upgraded to 1.008E If however you do and then install the 1.1.1 hacked version you cant go back apparently.

If you just want it as a dashcam and not a You tube blockbuster camera the standard firmware is adequate Not brilliant but adequate. If you are not familiar with working with hacked stuff and all its variable settings I wouldnt bother
 

mightyboo

New Member
Joined
Aug 7, 2013
Messages
6
Reaction score
0
Country
Singapore
Hello,

I just want to report in, i have successfully change 1.008K (Korean) to 1.008E (English) firmware.

Its very easy, only need a PC or Mac to telnet into DR500GW-HD and type a few commands via wifi. Very easy.

exact instructions are found in car-dvr.info english forum.
 

draja

New Member
Joined
Jun 20, 2013
Messages
28
Reaction score
0
Location
Boston
Country
United States
I have just received my DR550GW Korean version. Will these steps mentioned in this post work with DR550GW?
I need English firmware and the viewing software in English? BlackVueSetup(HD)_E_v2.032 does not work with Korean SD card (BlackVueSetup(HD)_K_v2.034)
 

Hillbilly

Well-Known Member
Joined
Feb 14, 2013
Messages
1,750
Reaction score
253
Location
Sunshine Coast
Country
Australia
Dash Cam
DR750s x2 DR450 x2
draja said:
I have just received my DR550GW Korean version. Will these steps mentioned in this post work with DR550GW?
I need English firmware and the viewing software in English? BlackVueSetup(HD)_E_v2.032 does not work with Korean SD card (BlackVueSetup(HD)_K_v2.034)

The English viewer does work with Korean firmware Go to the Blackvue site and download the English viewer from there

It does however show Korean words .

I had several versions working before I changed the firmware to English.

I don't know about the 550 and haven't seen any English Firmware specifically for that model.

Go to the car-dvr.info forum and you will find out how to do it
 

c7013498

New Member
Joined
Sep 26, 2013
Messages
2
Reaction score
0
Country
Hong Kong
Hello,

I get the DR500 too in Korea version. I followed below step to change the firmware to English.

1. go here and download the English 1.005E original firmware http://www.soltechsecurity.com/P/D/186/ ... t-in-Wi-Fi
2. Format an SD card in Fat32 format
3. Double click .exe file in the zip file in the downloaded file from Step 1. and install it onto the card following prompts
4. Put SD Card in the camera and wait for a couple of minutes, It will say "version information is different"
5. Now turn camera off and take SD card out and put it in computer
6. Go to the config folder and in the "version.bin" file change the Words in both places from "English" to "Korea" NOT Korean
7. Put SD card back in the camera, power it up and it will upgrade then say "Version information is different" again
8. Turn off camera again and take the SD card out and put in computer
9. Go to the config folder again and in the "version.bin" file change the Words in both places from "Korea" to "English"
10. Put SD card back in the camera, power it up, it will upgrade then restart and that's it, you have English voices from then on.

However, I fail. I tried several times, still fail. The DR500 still say " version information is different".
Even, I format the SD card again.

Have any new method? Hopefully someone would help me.
 

c7013498

New Member
Joined
Sep 26, 2013
Messages
2
Reaction score
0
Country
Hong Kong
Hello again! I use the Hex Editor Neo to open and edit the "version.bin" file. And I save the file to config file again. Am I right?
 

Hillbilly

Well-Known Member
Joined
Feb 14, 2013
Messages
1,750
Reaction score
253
Location
Sunshine Coast
Country
Australia
Dash Cam
DR750s x2 DR450 x2
Hello again! I use the Hex Editor Neo to open and edit the "version.bin" file. And I save the file to config file again. Am I right?


Read the instructions CAREFULLY and follow the steps You don't need a hex editor.

If it wont open RIGHT click on it and go to properties In the properties box go to "OPEN WITH " and change it to NOTEPAD.

Change the words in both places as instructed and it will work.

However if you go to the second reply (Mine) you will get the better version of the firmware as Soltech removed their version a while back
 

Hillbilly

Well-Known Member
Joined
Feb 14, 2013
Messages
1,750
Reaction score
253
Location
Sunshine Coast
Country
Australia
Dash Cam
DR750s x2 DR450 x2
Read the 55o threads there is information there apparently its done differently I haven't followed it
 

DrT

New Member
Joined
Oct 22, 2013
Messages
1
Reaction score
0
Country
Germany
Hello,
I tried to read through the whole thing, but now my problem:

I just upgraded my new 500 from which version I do not know to (all I know it was english speaking) to V 1.009 German.
Now I am getting "Version is wrong" in German.
I changed the "version-file" back an forth, without any results.
As far as I understand I need to format the sd card and then I need to install 1.005 E/K.
1. Question: Where is this version on your google server?
2. Question: Will it also be possible to change it to german afterwards?
Thanks for your answer!
 

Hillbilly

Well-Known Member
Joined
Feb 14, 2013
Messages
1,750
Reaction score
253
Location
Sunshine Coast
Country
Australia
Dash Cam
DR750s x2 DR450 x2
There is a German version on Blackvue's site. in the download section along with about 10 other languages
 

Dscheng

Member
Joined
Feb 23, 2013
Messages
102
Reaction score
1
Country
Singapore
Dash Cam
Blackvue DR500 with Custom firmware / Stamp
Anyone using FW 1.009 original version for DR 500 ?? It has auto GPS function off during parking mode?
 

Dscheng

Member
Joined
Feb 23, 2013
Messages
102
Reaction score
1
Country
Singapore
Dash Cam
Blackvue DR500 with Custom firmware / Stamp
Previously I am using custom firmware 1.11AE, it has the option to off the GPS function, but it never works !
 
Top